Bug 460107 - Review Request: perl-Text-vFile-asData - Parse vFile formatted files into data structures
Review Request: perl-Text-vFile-asData - Parse vFile formatted files into da...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 460111
  Show dependency treegraph
 
Reported: 2008-08-26 04:32 EDT by Ralf Corsepius
Modified: 2009-03-19 23:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 15:55:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-08-26 04:32:14 EDT
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Text-vFile-asData.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Text-vFile-asData-0.05-2.fc10.src.rpm
Description:
Text::vFile::asData reads vFile format files, such as vCard (RFC 2426) and
vCalendar (RFC 2445).

This package is a new prerequisite of rt >= 3.8.0.
Comment 1 Dan Horák 2008-08-27 03:33:38 EDT
formal review:
OK	source files match upstream:
	    e214d3f22b9d261f0a587d68314d76d68739ef0e  Text-vFile-asData-0.05.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
OK	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED
Comment 2 Ralf Corsepius 2008-08-27 04:06:58 EDT
New Package CVS Request
=======================
Package Name: perl-Text-vFile-asData
Short Description: Parse vFile formatted files into data structures
Owners: corsepiu
Branches: F-8 F-9
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-08-29 00:39:40 EDT
cvs done.
Comment 4 Dan Horák 2008-09-22 06:05:58 EDT
Ralf, you should close the review request as the package was already imported and built.
Comment 5 Xavier Bachelot 2009-03-18 15:27:28 EDT
As discussed with Ralf, I'll maintain the EL branches.

Package Change Request
======================
Package Name: perl-Text-vFile-asData
New Branches: EL-4 EL-5
Owners: xavierb
Comment 6 Kevin Fenzi 2009-03-19 23:13:04 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.